<html>

<head>
<meta http-equiv="Content-Type"
content="text/html; charset=iso-8859-1">
<meta name="Author" content="Joakim gren">
<meta name="Description"
content="Technical description of the Miniature Card connector.">

<title>HwB: Miniature Card (Tech) Connector</title>
<meta name="Keywords"
content="HwB, pinout, hardware, connector, miniature, card, minicard, technical">
<meta http-equiv="PICS-Label"
content='(PICS-1.0 "http://www.rsac.org/ratingsv01.html" l gen true comment "RSACi North America Server" by "qtech@mailhost.net" for "http://www.blackdown.org/~hwb/" on "1996.04.16T08:15-0500" exp "1997.12.01T08:15-0500" r (n 0 s 0 v 0 l 0))'>
<meta http-equiv="PICS-Label"
content='(PICS-1.0 "http://www.classify.org/safesurf/" l gen true for "http://www.blackdown.org/~hwb" by "qtech@mailhost.net" r (SS~~000 1 SS~~100 1))'>

</head>

<body background="images/bgr_grey.jpg" bgcolor="#C0C0C0"
text="#000000" link="#0000EE" vlink="#551A8B" alink="#FF0000">


<p align="center"><a href="menu_Connector.html"><img
src="images/mini_Back.GIF" alt="GoTo Connector" border="0"
width="64" height="48"></a><img src="images/menu_Connector.GIF"
alt="CONNECTOR" width="400" height="48"><a href="hwb.html"><img
src="images/mini_hwb.GIF" alt="GoTo Main" border="0" width="64"
height="48"></a></p>


<h1>Miniature Card (Technical)</h1>

<p>This section is currently based soly on the Miniature Card
specification v1.1.</p>

<h2>Signal Descriptions:</h2>

<h3>A0-A24</h3>

<p>Address A0 to A24 are the address bus lines that can address
up to 32 Mwords (64 MBytes). The Miniature Card specification
does not require the Miniature Card to decode the upper address
lines. A 2 Mbyte Miniature Card that does not decode the upper
address lines would repeat its address space every 2 Mbytes.
Address 0h would access the same physical location as 200000h,
400000h, 600000h, etc.</p>

<h3>D0-D15</h3>

<p>Data lines D0 through D15 constitute the data bus. The data
bus is composed of two bytes, the low byte D[7:0] and the high
byte D[15:8].</p>

<h3>OE#</h3>

<p>OE# indicates that the current bus cycle is a read cycle.</p>

<h3>WE#</h3>

<p>WE# indicates that the current bus cycle is a write cycle.</p>

<h3>VS1#</h3>

<p>Voltage Sense 1 signal. The card grounds this signal to
indicate it can operate at 3.3 Volts. This signal must either be
connected to card GND or left open.</p>

<h3>VS2#</h3>

<p>Voltage Sense 2 signal. The card grounds this signal to
indicate it can operate at x.x Volts (the value to be determined
at a later date). This signal must either be connected to card
GND or left open.</p>

<h3>CEL#</h3>

<p>CEL# enables the low byte of the data bus (D[7:0]) on the
card. This signal is not used in DRAM cards.</p>

<h3>CEH#</h3>

<p>CEH# enables the high byte of the data bus (D[15:8]) on the
card. This signal is not used in DRAM cards.</p>

<h3>RAS#</h3>

<p>RAS# strobes in the row address for DRAM cards.</p>

<h3>CASL#</h3>

<p>CASL# strobes in the low byte column address for DRAM cards.</p>

<h3>CASH#</h3>

<p>CASH# strobes in the high byte column address for DRAM cards.</p>

<h3>RESET#</h3>

<p>RESET# controls card initialization. When RESET# transitions
from a low state to a high state, the Miniature Card must reset
to a predetermined state.</p>

<h3>BUSY#</h3>

<p>BUSY# is a signal generated by the card to indicate the status
of operations within the Miniature Card. When BUSY# is high, the
Miniature Card is ready to accept the next command from the host.
When BUSY# is low, the Miniature Card is busy and unable to
accept some data operations from the host. For example, in Flash
Miniature Cards the BUSY# signal is tied to the components RY/BY#
signal. However, ROM Miniature Cards would always drive BUSY#
high since the host will always be able to read from a ROM
Miniature Card.</p>

<h3>Vccr</h3>

<p>Vccr provides a low current (refresh) voltage supply. Vccr is
a feature used by DRAM Miniature Cards to
&quot;self-refresh&quot; during &quot;sleep&quot; mode.</p>

<h3>SDA</h3>

<p>I<sup>2</sup>C: Serial Data/Address.</p>

<h3>SCL</h3>

<p>I<sup>2</sup>C: Serial Clock are used to read the attribute
information structure (AIS) from the serial EEPROM in a DRAM
card.</p>

<h3>CD#</h3>

<p>CD# is a grounded interface signal. After a Miniature Card has
been inserted, CD# will be forced low. The card detect signal is
located in the center of the second row of interface signals, and
should be one of the last interface signals to connect to the
host. Do not confuse CD# with CINS#. CINS# is an early card
detect that is one of the first signals to connect to the host.</p>

<h3>BS8#</h3>

<p>BS8# is a signal driven by the host to indicate if the data
bus is x8 or x16. An 8-bit host must drive BS8# low and tie the
high byte data bus D[15:8] to the low byte data bus D[7:0]. A
16-bit host must drive this signal high.</p>

<h3>GND</h3>

<p>Ground</p>

<h3>Vcc</h3>

<p>Vcc is used to supply power to the card.</p>

<h3>CINS#</h3>

<p>CINS# is a grounded signal on the front of the Miniature Card
that can be used for early detection of a card insertion. CINS#
makes contact on the host when the front of the card is inserted
into the socket, before the interface signals connect.</p>

<address>
    <font size="2">Contributor: </font><a
    href="mailto:qtech@mailhost.net"><font size="2">Joakim gren</font></a>
</address>

<address>
    <font size="2">Source:&nbsp;</font><a
    href="http://www.mcif.org/spec.html"><font size="2">Minicature
    Card v1.1 spec</font></a><font size="2"> at </font><a
    href="http://www.mcif.org/spec.html"><font size="2">Miniature
    Card Implementers Forum's homepage</font></a>
</address>


<address>
    <font size="1">Please send any comments to </font><a
    href="mailto:qtech@mailhost.net"><font size="1">Joakim gren</font></a><font
    size="1">.</font>
</address>

</body>
</html>